Bug 434865 - Upgrade Request for Perl Module Test::Simple
Upgrade Request for Perl Module Test::Simple
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
http://search.cpan.org/src/MSCHWERN/T...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 16:44 EST by Eric Simon
Modified: 2008-09-02 19:35 EDT (History)
5 users (show)

See Also:
Fixed In Version: perl-5.8.8-38.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-27 03:14:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Simon 2008-02-25 16:44:21 EST
Description of problem:
Test::Simple is throwing false negatives when I do a make test on the Fedora 8 
distribution.  This caused by bugs in Version 0.67 that is fixed in later 
versions of Test::Simple.

Version-Release number of selected component (if applicable):
The bugs occur in Version 0.67 of Test::Simple.  I have tested with Version 
0.75 and have verified that the fixes in the change log for Test::Simple did 
indeed fix the false negatives I was receiving.

http://search.cpan.org/src/MSCHWERN/Test-Simple-0.75/Changes

How reproducible:
This is only reproducible with the particular type of software I am installing 
on our server.


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Failed 3/18 test scripts, 83.33% okay. 425/1609 subtests failed, 73.59% okay.


Expected results:
All tests successful.



Additional info:
I realize that Test::Simple is packaged separately from perl, but I couldn't 
find the correct component to file this under.

Thanks!!
Comment 1 Tom "spot" Callaway 2008-02-25 23:15:14 EST
Test::Simple isn't packaged separately from perl (it ends up in its own
subpackage though), which is why you couldn't find it.

Rawhide will pick up this fix when we go to 5.10.0 (which has the newer
Test::Simple), but we could update this in F-7/F-8. Thoughts?
Comment 2 Eric Simon 2008-03-12 21:46:36 EDT
This would be useful to have in F-8, if possible.  We won't jump major 
revisions on our servers here very often, so I don't anticipate us going to F-9 
for quite a while.
Comment 3 Fedora Update System 2008-03-20 05:14:19 EDT
perl-5.8.8-38.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-03-21 18:07:23 EDT
perl-5.8.8-38.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2580
Comment 5 Fedora Update System 2008-03-26 13:12:01 EDT
perl-5.8.8-38.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Paul Howarth 2008-09-02 19:35:08 EDT
The update to Test::Simple 0.78 in this update results in a failure to build from source of the current Test::Output package for Fedora 8 (a bunch of tests fail with messages about being unable to use strings as hash references while "strict refs" in use, rather like this report: http://www.nntp.perl.org/group/perl.cpan.testers/2008/08/msg2071350.html).

I don't know whether this is a problem with Test::Output or with Test::Simple but I tried packaging up an RPM of Test::Simple 0.75 and using that in a mock build (my version was picked up because the F8 perl-Test-Simple package is still versioned at 0.62 for some reason) fixed the error. This problem does not affect Fedora 9 or Rawhide (which still have Test::Simple 0.72).

Note You need to log in before you can comment on or make changes to this bug.